Loading...
Searching...
No Matches
fru_board_t Struct Reference
Information areas » Board Information Area

The exploded representation of board info area. More...

`#include <fru.h>`

Collaboration diagram for fru_board_t:
[legend]

## Data Fields

fru_lang_t | lang
| Language code.
struct timeval | tv
| Manufacturing date/time, in UTC.
bool | tv_auto
| On save, use current date/time.
fru_field_t | mfg
| Board manufacturer name.
fru_field_t | pname
| Board product name.
fru_field_t | serial
| Board serial number.
fru_field_t | pn
| Board part number.
fru_field_t | file
| FRU File ID.
fru_custom_t | cust
| List of custom fields.

## Detailed Description

The exploded representation of board info area.

Contains fields as per IPMI FRU Specification Table 11-1, in their decoded state

## Field Documentation

## cust

fru_custom_t fru_board_t::cust

List of custom fields.

## file

fru_field_t fru_board_t::file

FRU File ID.

## lang

fru_lang_t fru_board_t::lang

Language code.

## mfg

fru_field_t fru_board_t::mfg

Board manufacturer name.

## pn

fru_field_t fru_board_t::pn

Board part number.

## pname

fru_field_t fru_board_t::pname

Board product name.

## serial

fru_field_t fru_board_t::serial

Board serial number.

## tv

struct timeval fru_board_t::tv

Manufacturing date/time, in UTC.

## tv_auto

bool fru_board_t::tv_auto

On save, use current date/time.

This is automatically initialized by fru_loadfile() and fru_loadbuffer() based on presence of date/time information in the loaded data. This field is set to `true` by fru_init().

When tv_auto is `true`, the value of tv field is ignored.

The documentation for this struct was generated from the following file:

- fru.h